org.jboss.resteasy.plugins.server.tjws

## Class TJWSServletServer

- java.lang.Object
- - org.jboss.resteasy.plugins.server.tjws.TJWSServletServer

- Direct Known Subclasses:
    TJWSEmbeddedJaxrsServer, TJWSEmbeddedSpringMVCServer

      public class TJWSServletServer
      extends Object

  This cannot be restarted once stopped.

  All properties can be set by a Properties map. See more info at TJWS Website

  Server will not run unless you set the port or ssl port properties. You cannot run both an SSL and Non-SSL listener. Create a new server if you want to do that.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TJWSServletServer.FileMappingServe`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Properties` | `props`
    `protected TJWSServletServer.FileMappingServe` | `server`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TJWSServletServer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFileMapping(String context, File directory)`
    `void` | `addServlet(String bindPath, javax.servlet.http.HttpServlet servlet)`
    `void` | `addServlet(String bindPath, javax.servlet.http.HttpServlet servlet, Hashtable initParams)`
    `void` | `addServlet(String bindPath, javax.servlet.http.HttpServlet servlet, Hashtable<String,String> initParams, Hashtable<String,String> contextParams)`
    `void` | `setBindAddress(String address)`
    `void` | `setKeepAlive(boolean keepAlive)`
    `void` | `setKeepAliveTimeout(long timeout)`
    `void` | `setMaxKeepAliveConnections(int max)`
    `void` | `setPort(int port)`
    `void` | `setProps(Properties props)`
    `void` | `setSessionTimeout(long timeout)`
    `void` | `setSSLAlgorithm(String algorithm)`
    `void` | `setSSLKeyStoreFile(String path)`
    `void` | `setSSLKeyStorePass(String passwd)`
    `void` | `setSSLKeyStoreType(String type)`
    `void` | `setSSLPort(int port)`
    `void` | `setSSLProtocol(String protocol)`
    `void` | `setThreadPoolSize(int max)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### server

          protected TJWSServletServer.FileMappingServe server

    - #### props

          protected Properties props

  - ### Constructor Detail

    - #### TJWSServletServer

          public TJWSServletServer()

  - ### Method Detail

    - #### addServlet

          public void addServlet(String bindPath,
                        javax.servlet.http.HttpServlet servlet)

    - #### addServlet

          public void addServlet(String bindPath,
                        javax.servlet.http.HttpServlet servlet,
                        Hashtable initParams)

    - #### addServlet

          public void addServlet(String bindPath,
                        javax.servlet.http.HttpServlet servlet,
                        Hashtable<String,String> initParams,
                        Hashtable<String,String> contextParams)

    - #### setProps

          public void setProps(Properties props)

    - #### setPort

          public void setPort(int port)

    - #### setBindAddress

          public void setBindAddress(String address)

    - #### setSessionTimeout

          public void setSessionTimeout(long timeout)

    - #### setKeepAlive

          public void setKeepAlive(boolean keepAlive)

    - #### setKeepAliveTimeout

          public void setKeepAliveTimeout(long timeout)

    - #### setMaxKeepAliveConnections

          public void setMaxKeepAliveConnections(int max)

    - #### setThreadPoolSize

          public void setThreadPoolSize(int max)

    - #### setSSLAlgorithm

          public void setSSLAlgorithm(String algorithm)

    - #### setSSLKeyStoreFile

          public void setSSLKeyStoreFile(String path)

    - #### setSSLKeyStorePass

          public void setSSLKeyStorePass(String passwd)

    - #### setSSLKeyStoreType

          public void setSSLKeyStoreType(String type)

    - #### setSSLProtocol

          public void setSSLProtocol(String protocol)

    - #### setSSLPort

          public void setSSLPort(int port)

    - #### addFileMapping

          public void addFileMapping(String context,
                            File directory)

    - #### start

          public void start()

    - #### stop

          public void stop()

Copyright © 2014. All Rights Reserved.